Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Private Member Functions
Argus::rv< T > Class Template Reference

Template helper emulating C++11 rvalue semantics. More...

`#include <Types.h>`

List of all members.

## Private Member Functions

| rv ()
| ~rv ()
| rv (const rv &)
void | operator= (const rv &)

## Detailed Description

### template<typename T>
class Argus::rv< T >

Template helper emulating C++11 rvalue semantics.

Definition at line 393 of file Types.h.

## Constructor & Destructor Documentation

template<typename T>

Argus::rv< T >::rv | ( |  | ) |

private

template<typename T>

Argus::rv< T >::~rv | ( |  | ) |

private

template<typename T>

Argus::rv< T >::rv | ( | const rv< T > & |  | ) |

private

## Member Function Documentation

template<typename T>

void Argus::rv< T >::operator= | ( | const rv< T > & |  | ) |

private

The documentation for this class was generated from the following file:

- include/Argus/Types.h